Bug 17461 - Allow programmatic manipulation of persistence of output tabs
Allow programmatic manipulation of persistence of output tabs
Status: CLOSED WONTFIX
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
PC All
: P4 (vote)
: 6.x
Assigned To: _ tboudreau
ivan
:
Depends on:
Blocks: 17380
  Show dependency treegraph
 
Reported: 2001-11-09 12:01 UTC by David Simonek
Modified: 2008-12-23 08:14 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2001-11-09 12:01:31 UTC
Currently, it's not possible to specify persistent policy for individual output
tabs. For example, search results and compiler tabs are good candidates to be
serialized even in closed state, so that they are opened where they were closed.

Some method setPersistenceType(type) is needed.
Comment 1 David Simonek 2001-11-09 12:03:55 UTC
Also, new persistence type items in popup menu will allow user to
modify persistence policy of individual output tabs.
Comment 2 akemr 2002-02-11 12:46:05 UTC
Decreased priority - planning resources for 3.4
Comment 3 Marek Grummich 2002-07-22 08:31:24 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 Marek Grummich 2002-07-22 08:37:02 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 Marian Mirilovic 2002-12-06 17:14:36 UTC
reassigne to Tim, new owner of terminal emulator
Comment 6 _ tboudreau 2002-12-11 00:42:13 UTC
IMO, the output window is specifically for transient data;  if a 
module wants data persisted across sessions, it should supply an
appropriate component to do that.  I'm afraid the result of this
enhancement would be a build up of stale output windows across
sessions - let's not go there.  

Dafe, when you said "go ahead and close some things as wontfix",
you probably didn't mean your issues ;-)  But I'm closing this
as wontfix. :-(
Comment 7 Marian Mirilovic 2003-07-25 18:30:46 UTC
closing.
Comment 8 Quality Engineering 2008-12-23 08:14:13 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo